## geneweb 6.04

=== Makefile ===
# $Id: Makefile,v 5.7 2009-03-11 10:53:30 ddr Exp $

PREFIX=/usr
LANGDIR=$(PREFIX)/share/geneweb
MANDIR=$(PREFIX)/man/man1
DESTDIR=distribution
MANPAGES=ged2gwb.1 gwb2ged.1 gwc.1 gwc2.1 gwu.1 gwd.1 consang.1 gwsetup.1

include tools/Makefile.inc

all:: opt

out::
	cd wserver; $(MAKE) all
	cd dag2html; $(MAKE) out
	cd src; $(MAKE) PREFIX=$(PREFIX) all
	cd ged2gwb; $(MAKE) all
	cd gwb2ged; $(MAKE) all
	cd setup; $(MAKE) all
	cd gwtp; $(MAKE) all

opt::
	cd wserver; $(MAKE) opt
	cd dag2html; $(MAKE) opt
	cd src; $(MAKE) PREFIX=$(PREFIX) opt
	cd ged2gwb; $(MAKE) opt
	cd gwb2ged; $(MAKE) opt
	cd setup; $(MAKE) opt
	cd gwtp; $(MAKE) opt

install:
	mkdir -p $(PREFIX)/bin
	cp src/gwc $(PREFIX)/bin/gwc$(EXE)
	cp src/gwc1 $(PREFIX)/bin/gwc1$(EXE)
	cp src/gwc2 $(PREFIX)/bin/gwc2$(EXE)
	cp src/consang $(PREFIX)/bin/consang$(EXE)
	cp src/gwd $(PREFIX)/bin/gwd$(EXE)
	cp src/gwu $(PREFIX)/bin/gwu$(EXE)
	cp ged2gwb/ged2gwb $(PREFIX)/bin/ged2gwb$(EXE)
	cp ged2gwb/ged2gwb2 $(PREFIX)/bin/ged2gwb2$(EXE)
	cp gwb2ged/gwb2ged $(PREFIX)/bin/gwb2ged$(EXE)
	mkdir -p $(LANGDIR)/lang
	cp hd/lang/*.txt $(LANGDIR)/lang/.
	mkdir -p $(LANGDIR)/images
	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(LANGDIR)/images/.
	mkdir -p $(LANGDIR)/etc
	cp -R hd/etc/* $(LANGDIR)/etc/.
	find $(LANGDIR)/etc/ -name .svn -type d -prune -exec rm -rf {} \;
	mkdir -p $(MANDIR)
	cd man; cp $(MANPAGES) $(MANDIR)/.

uninstall:
	rm -f $(PREFIX)/bin/gwc$(EXE)
	rm -f $(PREFIX)/bin/gwc1$(EXE)
	rm -f $(PREFIX)/bin/gwc2$(EXE)
	rm -f $(PREFIX)/bin/consang$(EXE)
	rm -f $(PREFIX)/bin/gwd$(EXE)
	rm -f $(PREFIX)/bin/gwu$(EXE)
	rm -f $(PREFIX)/bin/ged2gwb$(EXE)
	rm -f $(PREFIX)/bin/gwb2ged$(EXE)
	rm -rf $(PREFIX)/share/geneweb
	cd $(MANDIR); rm -f $(MANPAGES)

distrib: new_distrib wrappers

wrappers:
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  echo -ne 'setlocal enableextensions\r\n' > $(DESTDIR)/gwd.bat; \
	  echo -ne 'md bases\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'endlocal\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'cd bases\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'start /MIN ..\\gw\\gwd -hd ..\\gw\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'setlocal enableextensions\r\n' > $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'md bases\r\n' >> $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'endlocal\r\n' >> $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'cd bases\r\n' >> $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'start /MIN ..\\gw\\gwsetup -lang fr -gd ..\\gw\r\n' >> $(DESTDIR)/gwsetup.bat; \
	else \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwd -hd ../gw "$$@"') > $(DESTDIR)/gwd; \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwsetup -gd ../gw "$$@"') > $(DESTDIR)/gwsetup; \
	  chmod +x $(DESTDIR)/gwd $(DESTDIR)/gwsetup; \
	fi

new_distrib: classical_distrib
	mkdir t
	mv $(DESTDIR) t/gw
	mv t $(DESTDIR)
	mkdir $(DESTDIR)/gw/old
	mkdir $(DESTDIR)/gw/setup
	cp setup/intro.txt $(DESTDIR)/gw/setup/.
	mkdir $(DESTDIR)/gw/setup/lang
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  cp setup/lang/intro.txt.dos $(DESTDIR)/gw/setup/lang/intro.txt; \
	else \
	  cp setup/lang/intro.txt $(DESTDIR)/gw/setup/lang/intro.txt; \
	fi
	cp setup/lang/*.htm $(DESTDIR)/gw/setup/lang/.
	cp setup/lang/lexicon.txt $(DESTDIR)/gw/setup/lang/.
	cp setup/gwsetup $(DESTDIR)/gw/gwsetup$(EXE)
	cat etc/README.distrib.txt >> $(DESTDIR)/README.txt; \
	cp LICENSE $(DESTDIR)/LICENSE.txt
	cp etc/START.htm $(DESTDIR)/.
	echo "127.0.0.1" > $(DESTDIR)/gw/only.txt
	echo "-setup_link" > $(DESTDIR)/gw/gwd.arg

classical_distrib:
	$(RM) -rf $(DESTDIR)
	mkdir $(DESTDIR)
	cp CHANGES $(DESTDIR)/CHANGES.txt
	cp src/gwc $(DESTDIR)/gwc$(EXE)
	cp src/gwc1 $(DESTDIR)/gwc1$(EXE)
	cp src/gwc2 $(DESTDIR)/gwc2$(EXE)
	cp src/consang $(DESTDIR)/consang$(EXE)
	cp src/gwd $(DESTDIR)/gwd$(EXE)
	cp src/gwu $(DESTDIR)/gwu$(EXE)
	cp src/update_nldb $(DESTDIR)/update_nldb$(EXE)
	cp ged2gwb/ged2gwb $(DESTDIR)/ged2gwb$(EXE)
	cp ged2gwb/ged2gwb2 $(DESTDIR)/ged2gwb2$(EXE)
	cp gwb2ged/gwb2ged $(DESTDIR)/gwb2ged$(EXE)
	mkdir $(DESTDIR)/gwtp_tmp
	mkdir $(DESTDIR)/gwtp_tmp/lang
	cp gwtp/gwtp $(DESTDIR)/gwtp_tmp/gwtp$(EXE)
	cp gwtp/README $(DESTDIR)/gwtp_tmp/.
	cp gwtp/lang/*.txt $(DESTDIR)/gwtp_tmp/lang/.
	cp etc/INSTALL.htm $(DESTDIR)/.
	cp etc/a.gwf $(DESTDIR)/.
	mkdir $(DESTDIR)/lang
	cp hd/lang/*.txt $(DESTDIR)/lang/.
	mkdir $(DESTDIR)/images
	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(DESTDIR)/images/.
	mkdir $(DESTDIR)/etc
	cp -R hd/etc/* $(DESTDIR)/etc/.
	find $(DESTDIR)/etc/ -name .svn -type d -prune -exec rm -rf {} \;

windows_files:
	@for i in distribution/*.txt distribution/gw/*.txt; do \
	  echo "========================================="; \
	  echo $$i; \
	  cp $$i $$i~; \
	  sed -e 's/$$/\r/' $$i~ > $$i; \
	  rm $$i~; \
	done

clean::
	cd wserver; $(MAKE) clean
	cd dag2html; $(MAKE) clean
	cd src; $(MAKE) clean
	cd ged2gwb; $(MAKE) clean
	cd gwb2ged; $(MAKE) clean
	cd setup; $(MAKE) clean
	cd gwtp; $(MAKE) clean
	$(RM) -rf $(DESTDIR)
	$(RM) -f *~ .#*

clean_mismatch:
	rm src/pa_lock.cmo src/pa_html.cmo src/def_syn.cmo

depend:
	cd src; $(MAKE) pr_dep.cmo def_syn.cmo gwlib.ml
	cd src; $(MAKE) pa_lock.cmo pa_html.cmo q_codes.cmo
	cd wserver; $(MAKE) depend
	cd src; $(MAKE) depend
	cd ged2gwb; $(MAKE) depend
	cd gwb2ged; $(MAKE) depend
	cd setup; $(MAKE) depend
	cd gwtp; $(MAKE) depend

=== debian/changelog ===
geneweb (6.04-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with Camlp5 6.05. Closes: #663666
  * Drop no longer needed 015_fix-amd64.patch
  * Update Standards to 3.9.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Mar 2012 22:34:41 +0100

=== debian/control ===
Source: geneweb
Section: misc
Priority: optional
Maintainer: Christian Perrier <bubulle@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~), ocaml-best-compilers, ocaml (>= 3.04), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf
Homepage: http://www.geneweb.org/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/geneweb
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/geneweb

Package: geneweb
Section: misc
Architecture: any
Depends: ${shlibs:Depends},perl5-base, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
Suggests: gwtp, gwsetup, lynx | www-browser
Priority: optional
Description: genealogy software with web interface
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Geneweb is under active use and development, so its feature set
 is constantly improving. It already boasts features not found in
 most off-the-shelf products, such as consanguinity and relationship
 calculations, as well as other statistical analysis tools.

Package: gwtp
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geneweb
Suggests: httpd
Priority: optional
Description: web interface interacting with Geneweb databases
 Gwtp is a CGI program allowing owners of databases hosted on a
 GeneWeb site to upload and download their databases on the site and
 change their configuration parameters.

Package: gwsetup
Section: misc
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
Priority: optional
Description: utilities to configure and manipulate Geneweb databases
 Gwsetup is a command-line program which also includes a mini web server
 to help Geneweb users to setup and manipulate genealogical databases
 to be used with the main Geneweb program.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

PACKAGE=geneweb

WAY=$(shell if [ -f "/usr/bin/ocamlc.opt" ]; then echo "opt"; \
else echo "out"; \
fi)

ifeq ($(WAY),out)
override_dh_strip:
	# Don't strip ocaml bytecode executables
endif   


override_dh_installdeb:
	# Use of the dh-buildinfo package: see http://people.debian.org/~dirson/buildinfo/
	dh_buildinfo
	dh_installdeb
	
override_dh_auto_install:

override_dh_auto_build:
	# Move the proper makefile into place	
	cp -f `pwd`/tools/Makefile.inc.$(WAY) `pwd`/tools/Makefile.inc
	chmod a+x tools/*.sh
	$(MAKE) $(WAY)
	$(MAKE) distrib

override_dh_clean:
	rm -rf debian/iso-codes
	rm -rf debian/pobuild
	rm -f debian/geneweb.templates.tmp
	rm -f debian/geneweb.templates
	debconf-updatepo
	# Add here commands to clean up after the build process.
	[ ! -f tools/Makefile.inc ] || [ ! -f Makefile ] || $(MAKE) clean
	# Clean out cruft left by former builds
	rm -f tools/Makefile.inc
	rm -f compilation.ml
	dh_clean

override_dh_install:
	dh_install
	# Doc files go to the appropriate directory
	install -m 644 `pwd`/CHANGES \
	        `pwd`/debian/geneweb/usr/share/doc/geneweb/changelog
	# The CGI script
	chmod 755 `pwd`/debian/gwtp/usr/lib/cgi-bin/gwtp/gwtp.cgi
	# The wrappers
	chmod 755 `pwd`/debian/gwsetup/usr/lib/geneweb/gwsetup.wrapper

override_dh_installdocs:
	dh_installdocs
	# License files should not be duplicated
	rm `pwd`/debian/geneweb/usr/share/doc/geneweb/LICENSE.htm || true

override_dh_installdebconf:
	# Grab ISO 639 language code translations
	chmod u+x debian/get-iso-codes
	debian/get-iso-codes
	# Build templates
	chmod u+x debian/mktemplates
	debian/mktemplates
	dh_installdebconf

## geneweb 6.05.1

=== Makefile ===
--- 
+++ 
@@ -103,16 +103,15 @@
 	cp setup/lang/*.htm $(DESTDIR)/gw/setup/lang/.
 	cp setup/lang/lexicon.txt $(DESTDIR)/gw/setup/lang/.
 	cp setup/gwsetup $(DESTDIR)/gw/gwsetup$(EXE)
-	cat etc/README.distrib.txt >> $(DESTDIR)/README.txt; \
 	cp LICENSE $(DESTDIR)/LICENSE.txt
 	cp etc/START.htm $(DESTDIR)/.
+	cp CHANGES $(DESTDIR)/CHANGES.txt
 	echo "127.0.0.1" > $(DESTDIR)/gw/only.txt
 	echo "-setup_link" > $(DESTDIR)/gw/gwd.arg
 
 classical_distrib:
 	$(RM) -rf $(DESTDIR)
 	mkdir $(DESTDIR)
-	cp CHANGES $(DESTDIR)/CHANGES.txt
 	cp src/gwc $(DESTDIR)/gwc$(EXE)
 	cp src/gwc1 $(DESTDIR)/gwc1$(EXE)
 	cp src/gwc2 $(DESTDIR)/gwc2$(EXE)
@@ -128,7 +127,6 @@
 	cp gwtp/gwtp $(DESTDIR)/gwtp_tmp/gwtp$(EXE)
 	cp gwtp/README $(DESTDIR)/gwtp_tmp/.
 	cp gwtp/lang/*.txt $(DESTDIR)/gwtp_tmp/lang/.
-	cp etc/INSTALL.htm $(DESTDIR)/.
 	cp etc/a.gwf $(DESTDIR)/.
 	mkdir $(DESTDIR)/lang
 	cp hd/lang/*.txt $(DESTDIR)/lang/.

=== ged2gwb/Makefile ===
# $Id: Makefile,v 5.24 2008-01-15 17:12:01 ddr Exp $

include ../tools/Makefile.inc

OCAMLI=-I ../src
OBJS=../src/argl.cmo ../src/adef.cmo ../src/iovalue.cmo ../src/buff.cmo ../src/name.cmo ../src/ansel.cmo ../src/mutil.cmo ../src/futil.cmo ../src/dutil.cmo ../src/secure.cmo ../src/btree.cmo ../src/database.cmo ../src/db2.cmo ../src/db2disk.cmo ../src/diff.cmo ../src/outbase.cmo ../src/gwdb.cmo ../src/checkItem.cmo ../src/calendar.cmo ../src/lock.cmo ../src/progrBar.cmo ../src/consang.cmo ../src/consangAll.cmo ../src/check.cmo ged2gwb.cmo
OBJS2=../src/buff.cmo ../src/argl.cmo ../src/secure.cmo ../src/adef.cmo ../src/iovalue.cmo ../src/name.cmo ../src/mutil.cmo ../src/ansel.cmo ../src/calendar.cmo ../src/iochan.cmo ../src/db2.cmo ../src/progrBar.cmo ../src/futil.cmo ../src/notesLinks.cmo ../src/db2out.cmo ../src/db2disk.cmo ../src/dutil.cmo ../src/btree.cmo ../src/database.cmo ../src/gwdb.cmo ../src/consang.cmo ../src/consangAll.cmo ../src/checkItem.cmo ../src/check.cmo ../src/db2link.cmo ../src/lock.cmo ged2gwb2.cmo

all:: out

out:: ged2gwb.out ged2gwb2.out
	$(RM) ged2gwb ged2gwb2
	cp ged2gwb.out ged2gwb
	cp ged2gwb2.out ged2gwb2

opt:: ged2gwb.opt ged2gwb2.opt
	$(RM) ged2gwb ged2gwb2
	cp ged2gwb.opt ged2gwb
	cp ged2gwb2.opt ged2gwb2
	$(STRIP) ged2gwb ged2gwb2

clean::
	$(RM) ged2gwb ged2gwb2

ged2gwb.out: $(OBJS)
	$(OCAMLC) -custom $(STATIC) $(OCAMLD) unix.cma $(LIBUNIX) -I $(CAMLP5D) gramlib.cma $(OBJS) -o ged2gwb.out

ged2gwb.opt: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) -I $(CAMLP5D) gramlib.cmxa $(OBJS:.cmo=.cmx) -o ged2gwb.opt

ged2gwb2.out: $(OBJS2)
	$(OCAMLC) -custom $(STATIC) $(OCAMLD) unix.cma $(LIBUNIX) -I $(CAMLP5D) gramlib.cma $(OBJS2) -o ged2gwb2.out

ged2gwb2.opt: $(OBJS2:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) -I $(CAMLP5D) gramlib.cmxa $(OBJS2:.cmo=.cmx) -o ged2gwb2.opt

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml* > .depend

include .depend

=== gui/Makefile ===
# $Id: Makefile,v 1.6 2007-09-12 09:58:44 ddr Exp $
# Copyright (c) 2006-2007 INRIA

include ../tools/Makefile.inc

OCAMLC=ocamlc.opt
OCAMLOPT=ocamlopt.opt -annot
GWB=..
OBJS=../src/version.cmo ../src/iovalue.cmo ../src/buff.cmo ../src/name.cmo ../src/mutil.cmo gui.cmo
OCAMLI=-I ../src -I +lablgtk2
TEST_DIR=test $$(basename "$<") = "$<" || { echo "Please run 'make' in directory '$$(dirname "$<")' first"; exit 1; }

all:: opt

out:: gui.out
	$(RM) gui
	cp gui.out gui

opt:: gui.opt
	$(RM) gui
	cp gui.opt gui

gui.out: $(OBJS)
	$(OCAMLC) -I +lablgtk2 lablgtk.cma gtkInit.cmo unix.cma $(OBJS) -o gui.out

gui.opt: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) -I +lablgtk2 lablgtk.cmxa unix.cmxa $(OBJS:.cmo=.cmx) -o gui.opt

clean::
	$(RM) gui

depend:
	export LC_ALL=C; TOP=$(GWB) $(GWB)/tools/camlp5_depend.sh $(OCAMLI) $$(ls *.mli *.ml) | sed -e 's|\.\.|$$(GWB)|g' > .depend.new
	mv .depend.new .depend

%.cmo: %.ml
	@$(TEST_DIR)
	ocamlc -pp camlp5r $(OCAMLI) -I +lablgtk2 -c $<

include .depend

=== gwb2ged/Makefile ===
# $Id: Makefile,v 5.19 2007-09-12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

OCAMLI=-I ../src
SRC_OBJS=../src/argl.cmo ../src/adef.cmo ../src/buff.cmo ../src/name.cmo ../src/ansel.cmo ../src/iovalue.cmo ../src/mutil.cmo ../src/futil.cmo ../src/dutil.cmo ../src/secure.cmo ../src/btree.cmo ../src/database.cmo ../src/db2.cmo ../src/db2disk.cmo ../src/diff.cmo ../src/gwdb.cmo ../src/checkItem.cmo ../src/gutil.cmo ../src/select.cmo ../src/version.cmo ../src/calendar.cmo
OBJS=$(SRC_OBJS) gwb2ged.cmo

all:: out

out:: gwb2ged.out
	$(RM) gwb2ged
	cp gwb2ged.out gwb2ged

opt:: gwb2ged.opt
	$(RM) gwb2ged
	cp gwb2ged.opt gwb2ged
	$(STRIP) gwb2ged

clean::
	$(RM) gwb2ged

gwb2ged.out: $(OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma -I $(CAMLP5D) gramlib.cma $(OBJS) $(LIBUNIX) -o gwb2ged.out

gwb2ged.opt: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(SRC_OBJS:.cmo=.cmx) -a -o x.cmxa
	$(OCAMLOPT) $(STATIC) unix.cmxa -I $(CAMLP5D) gramlib.cmxa x.cmxa gwb2ged.cmx $(LIBUNIX) -o gwb2ged.opt

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml* > .depend

include .depend

=== gwtp/Makefile ===
# $Id: Makefile,v 5.18 2007-09-12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

OCAMLI=-I ../src
GWTP_OTHER=../src/lock.cmo ../src/buff.cmo ../src/name.cmo ../src/iovalue.cmo ../src/adef.cmo ../src/mutil.cmo ../src/futil.cmo ../src/dutil.cmo ../src/secure.cmo ../src/btree.cmo ../src/database.cmo ../src/db2.cmo ../src/db2disk.cmo ../src/diff.cmo ../src/outbase.cmo ../src/gwdb.cmo ../src/checkItem.cmo ../src/gutil.cmo ../src/translate.cmo
GWTP_OBJS=httpEnv.cmo iolight.cmo gwtp.cmo
OBJS=$(GWTP_OTHER) $(GWTP_OBJS)
RECOVER_OBJS=$(GWTP_OTHER) iolight.cmo recover.cmo

all:: out

out:: gwtp.out
	$(RM) gwtp
	cp gwtp.out gwtp

opt:: gwtp.opt
	$(RM) gwtp
	cp gwtp.opt gwtp
	$(STRIP) gwtp

recover: recover.out

clean::
	$(RM) gwtp

gwtp.out: $(GWTP_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(OBJS) $(LIBUNIX) -o gwtp.out

gwtp.opt: $(GWTP_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(OBJS:.cmo=.cmx) $(LIBUNIX) -o gwtp.opt

recover.out: $(RECOVER_OBJS)
	$(OCAMLC) unix.cma $(RECOVER_OBJS) $(LIBUNIX) -o $@

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml > .depend.new
	mv .depend.new .depend

include .depend

=== src/Makefile ===
# $Id: Makefile,v 5.53 2008-11-03 15:40:10 ddr Exp $

include ../tools/Makefile.inc

PREFIX=/usr
OCAMLI=-I ../wserver -I ../dag2html
GWC_OBJS=argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo outbase.cmo gwdb.cmo pqueue.cmo progrBar.cmo consang.cmo consangAll.cmo checkItem.cmo check.cmo calendar.cmo notesLinks.cmo gwcomp.cmo db1link.cmo gwc.cmo
GWC2_OBJS=calendar.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo gwcomp.cmo argl.cmo lock.cmo progrBar.cmo secure.cmo iochan.cmo futil.cmo db2.cmo db2out.cmo notesLinks.cmo db2disk.cmo dutil.cmo btree.cmo database.cmo gwdb.cmo consang.cmo consangAll.cmo checkItem.cmo check.cmo db2link.cmo gwc2.cmo
CONSANG_OBJS=argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo progrBar.cmo database.cmo db2.cmo db2disk.cmo db2out.cmo diff.cmo outbase.cmo gwdb.cmo pqueue.cmo consang.cmo consangAll.cmo mk_consang.cmo
GWD_OBJS1=../wserver/wserver.cmo ../dag2html/dag2html.cmo argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo gwdb.cmo checkItem.cmo gutil.cmo pqueue.cmo consang.cmo num.cmo version.cmo translate.cmo gwlib.cmo notesLinks.cmo util.cmo calendar.cmo templDate.cmo templ.cmo hutil.cmo date.cmo update.cmo wiki.cmo history.cmo notes.cmo wiznotes.cmo srcfile.cmo dag.cmo perso.cmo updateInd.cmo updateIndOk.cmo updateFam.cmo updateFamOk.cmo place.cmo
GWD_OBJS2=merge.cmo mergeFamOk.cmo mergeFam.cmo mergeInd.cmo mergeIndOk.cmo mergeDup.cmo changeChildren.cmo sendImage.cmo relationLink.cmo relation.cmo descend.cmo birthday.cmo cousins.cmo alln.cmo some.cmo advSearchOk.cmo birthDeath.cmo title.cmo doc.cmo forum.cmo image.cmo request.cmo base64.cmo robot.cmo
GWD_OBJS=$(GWD_OBJS1) $(GWD_OBJS2) compilation.cmo gwd.cmo
GWU_OBJS=argl.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo gwdb.cmo checkItem.cmo gutil.cmo select.cmo calendar.cmo notesLinks.cmo progrBar.cmo gwu.cmo
PHONYGWD_OBJS=../wserver/wserver.cmo argl.cmo phonygwd.cmo
PROBOT_OBJS=probot.cmo
MOSTDESC_OBJS=argl.cmo secure.cmo buff.cmo name.cmo iovalue.cmo mutil.cmo adef.cmo futil.cmo diff.cmo dutil.cmo btree.cmo database.cmo db2.cmo db2disk.cmo gwdb.cmo consang.cmo pqueue.cmo num.cmo mostdesc.cmo
FPLA_OBJS=argl.cmo secure.cmo buff.cmo name.cmo iovalue.cmo mutil.cmo adef.cmo futil.cmo diff.cmo dutil.cmo btree.cmo database.cmo db2.cmo db2disk.cmo gwdb.cmo fpla.cmo
UPDATE_NLDB_OBJS=secure.cmo buff.cmo name.cmo adef.cmo iovalue.cmo mutil.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo gwdb.cmo checkItem.cmo gutil.cmo argl.cmo notesLinks.cmo progrBar.cmo update_nldb.cmo
CHECK_BASE_OBJS=buff.cmo name.cmo iovalue.cmo mutil.cmo adef.cmo futil.cmo diff.cmo secure.cmo dutil.cmo btree.cmo database.cmo db2.cmo db2disk.cmo gwdb.cmo progrBar.cmo checkItem.cmo consang.cmo check.cmo check_base.cmo

all:: out

out:: gwlib.ml
opt:: gwlib.ml

out:: def_syn.cmo ansel.cmo gwc1.out gwc2.out consang.out gwd.out gwu.out update_nldb.out check_base.out i18n_check.out
	$(RM) gwc gwc2 consang gwd gwu check_base
	cp gwc1.out gwc
	cp gwc1.out gwc1
	cp gwc2.out gwc2
	cp consang.out consang
	cp gwd.out gwd
	cp gwu.out gwu
	cp update_nldb.out update_nldb
	cp check_base.out check_base

opt:: def_syn.cmo ansel.cmx gwc1.opt gwc2.opt consang.opt gwd.opt gwu.opt update_nldb.opt check_base.opt
	$(RM) gwc consang gwd gwu
	cp gwc1.opt gwc
	cp gwc1.opt gwc1
	cp gwc2.opt gwc2
	cp consang.opt consang
	cp gwd.opt gwd
	cp gwu.opt gwu
	cp update_nldb.opt update_nldb
	cp check_base.opt check_base
	$(STRIP) gwc gwc2 consang gwd gwu update_nldb check_base

compilation.cmo: $(GWD_OBJS1) $(GWD_OBJS2) gwd.cmo
	$(MAKE) compilation.ml
	@$(CAMLP5_COMM) compilation.ml -o compilation.ppo
	$(OCAMLC) -c -impl compilation.ppo
	$(RM) compilation.ppo

compilation.cmx: $(GWD_OBJS1:.cmo=.cmx) $(GWD_OBJS2.cmo=.cmx) gwd.cmx
	$(MAKE) compilation.ml
	@$(CAMLP5_COMM) compilation.ml -o compilation.ppo
	$(OCAMLOPT) -c -impl compilation.ppo
	$(RM) compilation.ppo

compilation.ml: always
	> compilation.ml
	echo "open Def;" >> compilation.ml
	echo "value (wd, d, h) = ($$(date "+%u, {day=%d;month=%m;year=%Y;prec=Sure;delta=0}, \"%T %Z\""));" >> compilation.ml
	echo "value ct conf = Printf.sprintf \" (%4d-%02d-%02d %s)\" d.year d.month d.day h;" >> compilation.ml
	echo "Util.compilation_time_hook.val := ct;" >> compilation.ml

clean::
	$(RM) gwc gwc1 gwc2 consang gwd gwu update_nldb gwlib.ml

gwlib.ml:
	echo "value prefix =" > gwlib.ml
	echo "  try Sys.getenv \"GWPREFIX\" with" >> gwlib.ml
	echo "  [ Not_found -> \"$(PREFIX)\" ]" | \
	sed -e 's|\\|/|g' >> gwlib.ml
	echo ";" >> gwlib.ml

gwc1.out: $(GWC_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(GWC_OBJS) $(LIBUNIX) -o gwc1.out

gwc1.opt: $(GWC_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(GWC_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwc1.opt

gwc2.out: $(GWC2_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(GWC2_OBJS) $(LIBUNIX) -o gwc2.out

gwc2.opt: $(GWC2_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(GWC2_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwc2.opt

consang.out: $(CONSANG_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(CONSANG_OBJS) -o consang.out

consang.opt: $(CONSANG_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(CONSANG_OBJS:.cmo=.cmx) -o consang.opt

gwd.out: $(GWD_OBJS)
	$(OCAMLC) -custom $(STATIC) $(OCAMLD) unix.cma str.cma -I $(CAMLP5D) gramlib.cma $(GWD_OBJS) $(LIBUNIX) -o gwd.out

gwd.opt: $(GWD_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(GWD_OBJS1:.cmo=.cmx) -a -o x1.cmxa
	$(OCAMLOPT) $(GWD_OBJS2:.cmo=.cmx) -a -o x2.cmxa
	$(OCAMLOPT) $(STATIC) unix.cmxa str.cmxa -I $(CAMLP5D) gramlib.cmxa x1.cmxa x2.cmxa compilation.cmx gwd.cmx $(LIBUNIX) -o gwd.opt

gwu.out: $(GWU_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(GWU_OBJS) -o gwu.out

gwu.opt: $(GWU_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(GWU_OBJS:.cmo=.cmx) -o gwu.opt

phonygwd.out: $(PHONYGWD_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(PHONYGWD_OBJS) -o phonygwd.out

probot.out: $(PROBOT_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(PROBOT_OBJS) -o probot.out

mostdesc.out: $(MOSTDESC_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(MOSTDESC_OBJS) -o mostdesc.out

mostdesc.opt: $(MOSTDESC_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(MOSTDESC_OBJS:.cmo=.cmx) -o mostdesc.opt

fpla.out: $(FPLA_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(FPLA_OBJS) -o fpla.out

fpla.opt: $(FPLA_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(FPLA_OBJS:.cmo=.cmx) -o fpla.opt

update_nldb.out: $(UPDATE_NLDB_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(UPDATE_NLDB_OBJS) -o update_nldb.out

update_nldb.opt: $(UPDATE_NLDB_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(UPDATE_NLDB_OBJS:.cmo=.cmx) -o update_nldb.opt

check_base.out: $(CHECK_BASE_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(CHECK_BASE_OBJS) -o check_base.out

check_base.opt: $(CHECK_BASE_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(CHECK_BASE_OBJS:.cmo=.cmx) -o check_base.opt

i18n_check.out: i18n_check.cmo
	$(OCAMLC) i18n_check.cmo -o i18n_check.out

i18n: pr_transl.cmo always
	if test -f i18n; then mv i18n i18n.bak; fi
	export LC_ALL=C; \
	OBJS=`(grep -w -c "transl conf" *.ml; grep -w -c "transl_nth conf" *.ml) | grep -v :0 | sed s/:.*$$// | sort | uniq`; \
	( \
	  for i in $$OBJS; do \
	    echo $$i 1>&2; \
	    camlp5r pa_macro.cmo ./pa_lock.cmo ./pa_html.cmo ./pr_transl.cmo pa_extend.cmo $$i; \
	  done; \
	  cat ../hd/etc/*.txt ../hd/lang/start_utf8.txt ../hd/lang/advanced.txt | sed -e 's/%\[//g' -e 's/%]//g' -e 's/\]/\]\n/g' | grep "\[" | sed -e "s/^.*\[\*\?//" -e "s/::.*$$//" -e "s/].*$$//" \
	) | \
	sort | uniq | grep -v '^$$' > i18n

always:

depend:
	$(MAKE) pr_dep.cmo def_syn.cmo gwlib.ml
	$(MAKE) pa_lock.cmo pa_html.cmo q_codes.cmo
	export LC_ALL=C; TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) $$(ls *.mli *.ml) > .depend.new
	mv .depend.new .depend

include .depend

=== contrib/gwdiff/Makefile ===
# $Id: Makefile,v 5.1 2007-09-12 09:58:44 ddr Exp $

include ../../tools/Makefile.inc
TOP=../..

OCAMLI=-I $(TOP)/src
GWDIFF_OBJS=$(TOP)/src/argl.cmo $(TOP)/src/adef.cmo $(TOP)/src/name.cmo $(TOP)/src/buff.cmo $(TOP)/src/gutil.cmo $(TOP)/src/btree.cmo $(TOP)/src/iovalue.cmo $(TOP)/src/iobase.cmo $(TOP)/src/calendar.cmo gwdiff.cmo

all:: gwdiff.opt

gwdiff.out: $(GWDIFF_OBJS)
	$(OCAMLC) -custom unix.cma $(GWDIFF_OBJS) $(LIBUNIX) -o gwdiff.out

gwdiff.opt: $(GWDIFF_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(GWDIFF_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwdiff.opt

depend:
	TOP=$(TOP) $(TOP)/tools/camlp5_depend.sh $(OCAMLI) `ls *.mli *.ml` > .depend.new
	mv .depend.new .depend

include .depend

=== debian/changelog ===
geneweb (6.05.1-1) unstable; urgency=low

  * New upstream "release" (indeed upstream fixed the 6.05 tarball
    and kept it named 6.05)

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 Jun 2012 08:59:37 +0200

geneweb (6.05-1) unstable; urgency=low

  * New upstream version
  * Correctly create /var/run/gwtp when running the CGI script
  * Compress .deb files and upstream tarball with xz
  * Use "set -e" in config scripts instead of "-e" argument to shebang

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Jun 2012 21:12:16 +0200

geneweb (6.04-2) unstable; urgency=low

  * Add README.docs-6.x to mention the lack of included documentation
    as of 6.x versions. Closes: #661625

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Mar 2012 09:35:14 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: misc
 Architecture: any
 Depends: ${shlibs:Depends},perl5-base, lsb-base (>= 3.0-6)
-Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
+Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser, dpkg (>= 1.15.6~)
 Suggests: gwtp, gwsetup, lynx | www-browser
 Priority: optional
 Description: genealogy software with web interface
@@ -32,6 +32,7 @@
 Section: misc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geneweb
+Pre-Depends: dpkg (>= 1.15.6~)
 Suggests: httpd
 Priority: optional
 Description: web interface interacting with Geneweb databases
@@ -42,7 +43,7 @@
 Package: gwsetup
 Section: misc
 Architecture: any
-Pre-Depends: adduser
+Pre-Depends: adduser, dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
 Priority: optional
 Description: utilities to configure and manipulate Geneweb databases

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	rm -f debian/geneweb.templates
 	debconf-updatepo
 	# Add here commands to clean up after the build process.
-	[ ! -f tools/Makefile.inc ] || [ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f tools/Makefile.inc ] || [ ! -f Makefile ] || $(MAKE) clean
 	# Clean out cruft left by former builds
 	rm -f tools/Makefile.inc
 	rm -f compilation.ml
@@ -65,3 +65,5 @@
 	debian/mktemplates
 	dh_installdebconf
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -Sextreme -z9

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# Line continuations are performed with \
# This the format for an FTP site:
# Full‐site‐with‐pattern  [Version  [Action]]

ftp://ftp.inria.fr/INRIA/Projects/cristal/geneweb/Src/geneweb-(.*)\.tgz \
  debian uupdate

## geneweb 6.08dfsg

=== debian/changelog ===
geneweb (6.08dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Apply patch from Dejan Latinovic really fixing FTBFS on some
    architectures. Closes: #775935
  * Depend on perl instead of perl5-base. Closes: #808390

 -- Dominic Hargreaves <dom@earth.li>  Mon, 21 Dec 2015 21:59:45 +0000

geneweb (6.08dfsg-3) unstable; urgency=low

  * Really drop useless test in gui/Makefile that makes the build fail on
    some arches. Closes: #775935

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Feb 2015 19:16:18 +0100

geneweb (6.08dfsg-2) unstable; urgency=low

  * Drop useless test in gui/Makefile that makes the build fail on
    some arches. Closes: #775935

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Feb 2015 08:09:36 +0100

geneweb (6.08dfsg-1) unstable; urgency=low

  * New upstream release
  * Update Standards to 3.9.6
  * Use machine-readable copyright file
  * No longer remove tools/Makefile.inc in the clean target as this file
    is provided in upstream tarball

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Oct 2014 17:44:24 +0200

geneweb (6.07dfsg-1) unstable; urgency=low

  * Drop Javascript files provided in upstream tarball without any
    modifiable source. Upstream tarball repacked as 6.07dfsg without
    these files. Closes: #744704
  * Upload to unstable
  * Switch to git: update VCS-* accordingly
  * Drop outdated debian/watch file
  * Add lintian override file for "untranslatable-debconf-templates"
  * Bump Standards to 3.9.5 (checked)
  * Do nothing in dh_auto_clean so that the package builds fine with
    git-buildpackage despite the weird things we're doing with
    tools/Makefile

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Apr 2014 07:22:13 +0200

geneweb (6.07-2) experimental; urgency=low

  * Use utf8.ml from upstream SVN to avoid build failures on
    some architectures.

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Apr 2013 10:42:51 +0200

geneweb (6.07-1) experimental; urgency=low

  * New upstream release
  * Add a patch to compile the gui in Makefile as it was
    apparetly dropped in this release

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Mar 2013 19:21:50 +0100

geneweb (6.06-1) experimental; urgency=low

  * New upstream version
  * Add liblablgtk2-ocaml-dev to Build-Depends to be able
    to build the newly added GUI
  * Add update_nldb to binaries. Closes: #695511
  * Add gwc2 binary and corresponding manpage. Closes: #664264
  * Add new geneweb-gui binary in a new binary package
  * Add lintian overrides for missing hardening that have no meaning
    for Ocaml executables
  * Fix gwc2.1 syntax (bug reported upstream)

 -- Christian Perrier <bubulle@debian.org>  Sun, 16 Dec 2012 19:14:56 +0100

=== debian/control ===
Source: geneweb
Section: misc
Priority: optional
Maintainer: Christian Perrier <bubulle@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7.0.50~), ocaml-best-compilers, ocaml (>= 3.04), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev
Homepage: http://www.geneweb.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/geneweb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geneweb.git;a=summary

Package: geneweb
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, perl, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser, dpkg (>= 1.15.6~)
Suggests: gwtp, gwsetup, lynx | www-browser, geneweb-gui
Priority: optional
Description: genealogy software with web interface
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.

Package: gwtp
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geneweb
Pre-Depends: dpkg (>= 1.15.6~)
Suggests: httpd
Priority: optional
Description: web interface interacting with Geneweb databases
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Gwtp is a CGI program allowing owners of databases hosted on a
 GeneWeb site to upload and download their databases on the site and
 change their configuration parameters.

Package: gwsetup
Section: misc
Architecture: any
Pre-Depends: adduser, dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
Priority: optional
Description: utilities to configure and manipulate Geneweb databases
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Gwsetup is a command-line program which also includes a mini web server
 to help Geneweb users to setup and manipulate genealogical databases
 to be used with the main Geneweb program.

Package: geneweb-gui
Section: misc
Architecture: any
Pre-Depends: adduser, dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
Priority: optional
Description: graphical user interface to Geneweb genealogy software
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 This package provides a graphical interface to geneweb (assuming the
 database is hosted on the local machine).

## geneweb 6.08%2Bgit20160228%2Bdfsg

=== dag2html/Makefile ===
# $Id: Makefile,v 5.1 2007-07-11 16:15:21 ddr Exp $

BINDIR=/usr/local/bin
MANDIR=/usr/local/share/man/man1
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCARGS=
OBJS=dag2html.cmo main.cmo

all: dag2html

out: dag2html.cmo
opt: dag2html.cmx

install:
	cp dag2html $(BINDIR)/.
	cp dag2html.1 $(MANDIR)/.

dag2html: $(OBJS)
	$(OCAMLC) $(OBJS) -o dag2html

clean:
	rm -f dag2html *.cm[oix] *.o

.SUFFIXES: .ml .mli .cmo .cmx .cmi

.ml.cmo:
	camlp5r $< -o $*.ppo
	$(OCAMLC) $(OCARGS) -c -impl $*.ppo
	rm -f $*.ppo

.ml.cmx:
	camlp5r $< -o $*.ppo
	$(OCAMLOPT) $(OCARGS) -c -impl $*.ppo
	rm -f $*.ppo

.mli.cmi:
	camlp5r $< -o $*.ppi
	$(OCAMLC) $(OCARGS) -c -intf $*.ppi
	rm -f $*.ppi

main.cmo: dag2html.cmo
dag2html.cmo: dag2html.cmi
dag2html.cmx: dag2html.cmi

## geneweb 6.08%2Bgit20161106%2Bdfsg

=== contrib/lex/Makefile ===
# $Id: Makefile.lex, v 0.1 2014-10-10 23:25:31 ipfix Exp $

EXEC = lex_utils

CAMLOPT = ocamlopt.opt
CAMLDEP = ocamldep

LIBS=str.cma

SOURCES = lex_utils.ml

all: depend $(EXEC).opt

OPTOBJS = $(SOURCES:.ml=.cmx)

$(EXEC).opt: $(OPTOBJS)
	$(CAMLOPT) $(LIBS:.cma=.cmxa) $(OPTOBJS) -o $(EXEC)

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmx:
	$(CAMLOPT) -c $<

clean:
	rm -f *.cm[iox] *~ .*~ *.o *.annot #*#
	rm -f $(EXEC)
	rm -f $(EXEC).opt

depend:
	$(CAMLDEP) *.mli *.ml > .depend

include .depend

## geneweb 6.08%2Bgit20181019%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: geneweb
 Section: misc
 Priority: optional
-Maintainer: Christian Perrier <bubulle@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.0.50~), ocaml-best-compilers, ocaml (>= 3.04), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev
-Homepage: http://www.geneweb.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/geneweb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geneweb.git;a=summary
+Maintainer: Guillaume Brochu <guillaume.brochu@gmail.com>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), ocaml-nox (>= 4.02), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev, ocaml-findlib
+Homepage: https://geneweb.org
+Vcs-Git: https://salsa.debian.org/GuillaumeBrochu-guest/geneweb.git
+Vcs-Browser: https://salsa.debian.org/GuillaumeBrochu-guest/geneweb
 
 Package: geneweb
-Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, perl, lsb-base (>= 3.0-6)
-Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser, dpkg (>= 1.15.6~)
-Suggests: gwtp, gwsetup, lynx | www-browser, geneweb-gui
-Priority: optional
+Depends: ${shlibs:Depends}, lsb-base (>= 3.0-6), libjs-jquery, libjs-jquery-placeholder
+Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
+Suggests: gwtp, gwsetup, www-browser, geneweb-gui
 Description: genealogy software with web interface
  Geneweb allows keeping track of ancestral data. It is a powerful
  system for maintaining a set of data about your family history. It
@@ -24,12 +22,9 @@
  data for others to use.
 
 Package: gwtp
-Section: misc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geneweb
-Pre-Depends: dpkg (>= 1.15.6~)
 Suggests: httpd
-Priority: optional
 Description: web interface interacting with Geneweb databases
  Geneweb allows keeping track of ancestral data. It is a powerful
  system for maintaining a set of data about your family history. It
@@ -43,11 +38,9 @@
  change their configuration parameters.
 
 Package: gwsetup
-Section: misc
 Architecture: any
-Pre-Depends: adduser, dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
-Priority: optional
+Pre-Depends: adduser
+Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb, lsb-base (>= 3.0-6)
 Description: utilities to configure and manipulate Geneweb databases
  Geneweb allows keeping track of ancestral data. It is a powerful
  system for maintaining a set of data about your family history. It
@@ -61,11 +54,8 @@
  to be used with the main Geneweb program.
 
 Package: geneweb-gui
-Section: misc
 Architecture: any
-Pre-Depends: adduser, dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
-Priority: optional
 Description: graphical user interface to Geneweb genealogy software
  Geneweb allows keeping track of ancestral data. It is a powerful
  system for maintaining a set of data about your family history. It
@@ -76,5 +66,3 @@
  .
  This package provides a graphical interface to geneweb (assuming the
  database is hosted on the local machine).
-
-
